Subject: Re: bug#31859: 26.1; Emacs has no way to determine if the current instance has a running server
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 23 Jun 2018 10:52:34 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 16 Jun 2018 19:30:51 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Thibault Polge <[email-masked]>
> > Date: Sat, 16 Jun 2018 18:27:03 +0200
> > 
> > > Does it work to test whether server-process is bound and non-nil?
> > 
> > It works, indeed.  Would you accept a documentation PR on the variable
> > and the two functions, which are much more obvious candidates?
> > Something like:
> > 
> > For a general way of determining if the current instance has a server
> > running, check the value of `server-process`.
> > 
> > Or a PR adding a stupid helper function like:
> 
> I'd prefer a documentation change, but let's see if someone has other
> opinions.

No further comments, so I installed a documentation change, and I'm
marking this bug done.

Thanks.